# Generated by Django 3.1.7 on 2021-05-04 22:31

import django.db.models.deletion
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0060_fix_workflow_unique_constraint"),
        ("wagtailimages", "0023_add_choose_permissions"),
        ("elections2021", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Elections2021CandidatesMapPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="wagtailimages.image",
                        verbose_name="hlavní fotka",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Kandidáti mapa",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="Elections2021CandidatesListPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="wagtailimages.image",
                        verbose_name="hlavní fotka",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Kandidáti",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
        migrations.CreateModel(
            name="Elections2021CandidatePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "party",
                    models.CharField(
                        choices=[("pirati", "Piráti"), ("stan", "STAN")],
                        default="pirati",
                        max_length=6,
                        verbose_name="strana",
                    ),
                ),
                (
                    "region",
                    models.CharField(
                        choices=[
                            ("JHC", "Jihočeský kraj"),
                            ("JHM", "Jihomoravský kraj"),
                            ("KVK", "Karlovarský kraj"),
                            ("KHK", "Královéhradecký kraj"),
                            ("LBK", "Liberecký kraj"),
                            ("MSK", "Moravskoslezský kraj"),
                            ("OLK", "Olomoucký kraj"),
                            ("PAK", "Pardubický kraj"),
                            ("PLK", "Plzeňský kraj"),
                            ("PHA", "Praha"),
                            ("STC", "Středočeský kraj"),
                            ("ULK", "Ústecký kraj"),
                            ("VYS", "Vysočina"),
                            ("ZLK", "Zlínský kraj"),
                        ],
                        max_length=3,
                        verbose_name="kraj",
                    ),
                ),
                ("number", models.IntegerField(verbose_name="pořadí")),
                ("age", models.IntegerField(verbose_name="věk")),
                (
                    "occupation",
                    models.CharField(max_length=255, verbose_name="povolání"),
                ),
                ("city", models.CharField(max_length=100, verbose_name="bydliště")),
                (
                    "resume",
                    wagtail.fields.RichTextField(verbose_name="medailonek"),
                ),
                (
                    "email",
                    models.EmailField(
                        blank=True, max_length=254, null=True, verbose_name="email"
                    ),
                ),
                (
                    "phone",
                    models.CharField(
                        blank=True, max_length=20, null=True, verbose_name="telefon"
                    ),
                ),
                (
                    "facebook_url",
                    models.URLField(blank=True, null=True, verbose_name="Facebook URL"),
                ),
                (
                    "twitter_url",
                    models.URLField(blank=True, null=True, verbose_name="Twitter URL"),
                ),
                (
                    "instagram_url",
                    models.URLField(
                        blank=True, null=True, verbose_name="Instagram URL"
                    ),
                ),
                (
                    "website_url",
                    models.URLField(
                        blank=True, null=True, verbose_name="webová stránka"
                    ),
                ),
                (
                    "photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="wagtailimages.image",
                        verbose_name="foto",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Detail kandidáta",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
