# Generated by Django 5.0.6 on 2024-07-03 12:55

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("calendar_utils", "0004_auto_20220505_1228"),
        ("uniweb", "0080_alter_uniwebpeoplepage_content"),
        ("wagtailimages", "0026_delete_uploadedimage"),
    ]

    operations = [
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="after_name",
            field=models.CharField(
                blank=True, max_length=16, null=True, verbose_name="Tituly za jménem"
            ),
        ),
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="before_name",
            field=models.CharField(
                blank=True, max_length=32, null=True, verbose_name="Tituly před jménem"
            ),
        ),
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="calendar",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="calendar_utils.calendar",
            ),
        ),
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="calendar_url",
            field=models.URLField(
                blank=True,
                help_text="Kalendář se po uložení stránky aktualizuje na pozadí. U plnějších kalendářů to může trvat i desítky sekund.",
                null=True,
                verbose_name="URL kalendáře ve formátu iCal",
            ),
        ),
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="main_image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Hlavní obrázek",
            ),
        ),
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="perex",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="position",
            field=models.CharField(
                blank=True,
                help_text="Např. 'Předseda'",
                max_length=200,
                null=True,
                verbose_name="Funkce",
            ),
        ),
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="primary_group",
            field=models.CharField(
                blank=True,
                help_text="např. 'Europarlament' nebo 'Sněmovna'",
                max_length=64,
                null=True,
                verbose_name="Kategorie",
            ),
        ),
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="profile_image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="wagtailimages.image",
                verbose_name="Profilový obrázek",
            ),
        ),
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="related_people",
            field=wagtail.fields.StreamField(
                [
                    (
                        "person",
                        wagtail.blocks.PageChooserBlock(
                            label="Detail osoby", page_type=["main.MainPersonPage"]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Další lidé",
            ),
        ),
        migrations.AddField(
            model_name="uniwebpersonpage",
            name="social_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "social_links",
                        wagtail.blocks.StructBlock(
                            [
                                ("text", wagtail.blocks.CharBlock(label="Název")),
                                ("link", wagtail.blocks.URLBlock(label="Odkaz")),
                                (
                                    "icon",
                                    wagtail.blocks.CharBlock(
                                        help_text="Seznam ikon - https://styleguide.pirati.cz/latest/?p=viewall-atoms-icons <br/>Název ikony zadejte bez tečky na začátku",
                                        label="Ikona",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Odkazy na sociální sítě",
            ),
        ),
    ]
